#include <iostream>
#include<algorithm>

using namespace std;

int main()
{
    int Q, N;
    cin>>N>>Q;

    int
    for(int i = 0; i < N; ++i) {
        cin>>p>>d;
    }

    int t;
    for(int i = 0; i < N; ++i){
        if( i > p)
        t = i;
        }

        cout<<t<<endl;






    return 0;
}